Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedRSS092

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedRSS091N
                          com.sun.syndication.unittest.TestSyndFeedRSS092

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestSyndFeedRSS092Alt, TestSyndFeedRSS093

    public class TestSyndFeedRSS092

extends TestSyndFeedRSS091N

Author:
  pat

Constructor Summary
`` | `TestSyndFeedRSS092()`
`protected` | `TestSyndFeedRSS092(String type)`
`protected` | `TestSyndFeedRSS092(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testCategories(List cats, String prefix)`
`protected void` | `_testEnclosures(List encs, String prefix)`
`protected void` | `_testItem(int i)`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS091N
`_testUri, testAuthor, testCopyright, testImageDescription, testImageLink, testImageTitle, testImageUrl, testLanguage, testPublishedDate`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testDescription, testEntries, testEntryDescription, testEntryLink, testEntryPublishedDate, testEntryTitle, testImage, testLink, testPreserveWireFeed, testTitle, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedRSS092

    public TestSyndFeedRSS092()

### TestSyndFeedRSS092

    protected TestSyndFeedRSS092(String type)

### TestSyndFeedRSS092

    protected TestSyndFeedRSS092(String feedType,
                                 String feedFileName)

Method Detail

### _testItem

    protected void _testItem(int i)
                      throws Exception

  Overrides:
    `_testItem` in class `TestSyndFeedRSS091N`
  Throws:
    `Exception`

### _testCategories

    protected void _testCategories(List cats,
                                   String prefix)
                            throws Exception

  Throws:
    `Exception`

### _testEnclosures

    protected void _testEnclosures(List encs,
                                   String prefix)
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.